#!/bin/sh

DINIT_SERVICE=binfmt
DINIT_NO_CONTAINER=1

. /usr/lib/dinit.d/early/scripts/common.sh

if [ "$1" = "stop" ]; then
   exec /usr/lib/dinit.d/early/helpers/binfmt -u
fi

# require the module if it's around, but don't fail - it may be builtin
/usr/lib/dinit.d/early/helpers/kmod load binfmt_misc

# try to make sure it's mounted too, otherwise binfmt-helper will fail
/usr/lib/dinit.d/early/helpers/mntpt /proc/sys/fs/binfmt_misc || mount -o nosuid,noexec,nodev \
    -t binfmt_misc binfmt_misc /proc/sys/fs/binfmt_misc 2>/dev/null

exec /usr/lib/dinit.d/early/helpers/binfmt
